> ## Documentation Index
> Fetch the complete documentation index at: https://www.anything.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read project auth settings

> Returns the current project auth provider state and whether each provider appears configured.



## OpenAPI

````yaml https://api.anything.com/v0/api/openapi.json get /v0/api/projects/{projectGroupId}/settings/auth
openapi: 3.1.0
info:
  title: Anything API
  version: 0.1.0
  description: >-
    The Anything API is the fastest way for agents to build and launch mobile
    and web apps.
servers:
  - url: /
security: []
paths:
  /v0/api/projects/{projectGroupId}/settings/auth:
    get:
      tags:
        - Settings
      summary: Read project auth settings
      description: >-
        Returns the current project auth provider state and whether each
        provider appears configured.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: projectGroupId
          in: path
      responses:
        '200':
          description: Project auth settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  authEnabled:
                    type: boolean
                  providers:
                    type: array
                    items:
                      type: object
                      properties:
                        provider:
                          type: string
                          enum:
                            - google
                            - email
                            - facebook
                            - twitter
                            - apple
                        enabled:
                          type: boolean
                        configured:
                          type: boolean
                        expectedSecretKeys:
                          type: array
                          items:
                            type: string
                        configuredSecretKeys:
                          type: array
                          items:
                            type: string
                        helpUrl:
                          type: string
                      required:
                        - provider
                        - enabled
                        - configured
                        - expectedSecretKeys
                        - configuredSecretKeys
                        - helpUrl
                required:
                  - authEnabled
                  - providers
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '404':
          description: >-
            Not found — the referenced resource does not exist (including
            malformed resource IDs)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Anything API key as the Basic auth username and leave the
        password empty. Example credentials: anything_xxx:

````